Subject: RE: FW: Adding Enterprise MIB for the T1/E1 stuff at the DS0 leve l.

From: "Chen, David" <[email-masked]>
Date: Mon, 26 Jan 1998 10:01:43 -0500

Roy,

Does anyone happen to know what are those ANSI, ITU and FRENCH standard
documentation numbers? 

Regards,
Dave

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Monday, January 26, 1998 9:29 AM
> To:	Dave Fowler
> Cc:	Leonard, John; Chen, David; Dong Xie (E-mail); Jack Ruroede
> (E-mail); Kennedy, Rick; [email-masked]
> Subject:	Re: FW: Adding Enterprise MIB for the T1/E1 stuff at the
> DS0 level.
> 
> Dave,
> 
> I am concerned with this contribution.  I know there are three
> standards for
> ABCD signaling bits:  ANSI, ITU, and FRENCH.  Unfortunately they are
> not
> identical.  In addition, I have been told that some PBX vendors use
> non-standard signaling methods.
> 
> This proposal need more research.  I am not fully aware of all the
> ramifications.
> 
> Regards,
> Roy
> 
> Dave Fowler wrote:
> 
> > Leonard, John wrote:
> > >
> > > Hi Dave,
> > >
> > > One of our people here, Dave Chen, asked me about a managed object
> for
> > > ds0 trunk conditioning he would like to see implemented to help
> with ATM
> > > circuit emulation. He feels that it may be of general interest and
> not
> > > just for ATM circuit emulation, so I thought that I'd get your
> opinion
> > > on possibly adding it to the  Definitions of Managed Objects for
> the DS0
> > > and DS0 Bundle Interface Type IETF draft MIBs you've been working
> on.
> > > This could go into the ds0ConfigEntry as one or more enumerated
> > > INTEGERs.
> > >
> > > Thanks,
> > > John
> >
> > Thanks for the contribution.  Does any one think this is useful in
> the
> > general case, or should it go in a Circ Emulation type MIB?
> >
> > Regards,
> > David
> > >
> > > > John Leonard, Lucent Technologies, MMIT
> > > > 300 Baker Ave. Suite 100, Concord, MA 01742-2168
> > > > vox: +1.978.287.2893 fax: +1.978.287.2810 internet:
> > > > [email-masked]
> > > >
> > > > -----Original Message-----
> > > > From: Chen, David
> > > > Sent: Thursday, January 15, 1998 9:17 AM
> > > > To:   Leonard, John
> > > > Cc:   Chen, David
> > > > Subject:      Adding Enterprise MIB for the T1/E1 stuff at the
> DS0
> > > > level.
> > > >
> > > > John,
> > > >
> > > > The following data structure are new to any existing MIB which
> are
> > > > required for the ATM Circuit Emulation Service.
> > > >
> > > > I think this better fits into a Enterprise DS0 level MIB data
> > > > strucutre. Let me know if you have any questions.
> > > >
> > > > ============== New Data Structure
> ===============================
> > > > typedef struct DS0TRUNKCOND
> > > > {
> > > >   UINT8      rcvSignalingCode;  //signaling bits apply to
> receiving
> > > > AB(CD)
> > > >   UINT8      troubleCode;         //bits apply to ds0 data
> > > >   UINT8      xmtSignalingCode;//signaling bits apply to
> transmitting
> > > > AB(CD)
> > > >   UINT8      idleCode;              //bytes apply to ds0 when
> out of
> > > > service
> > > >   INT32      status;                  //trunk conditioning
> states
> > > >   INT32      mode;                   //decide trunk condition
> > > > capability is avtivated or not
> > > > }T1E1TC;
> > > >
> > > > ============================================================
> > > >
> > > >
> > > >
> //////////////////////////////////////////////////////////////////////
> > > > ///////////////////////////////
> > > > //
> > > > //   Bit Format:  rcvSignalingCode & xmtSignalingCode, value
> ranges
> > > > from 0 to 0xFF
> > > > //
> > > > //                (MSB) 0bABCDabcd (LSB)
> > > > //                              --------          ==> signaling
> bits
> > > > for Discconect
> > > > //                                       -------  ==> signaling
> bits
> > > > for Busy-out
> > > > //
> > > >
> //////////////////////////////////////////////////////////////////////
> > > > ///////////////////////////////
> > > >
> > > > //Possible states for T1E1TC status
> > > >
> > > > #define DS0_TRUNKCOND_NONE                   0x00000 //no trunk
> > > > condition applied
> > > >
> > > > #define DS0_TRUNKCOND_RCV_ONHOOK      0x00001 //apply (2.5)
> second for
> > > > Disconnect
> > > > #define DS0_TRUNKCOND_RCV_OFFHOOK    0x00002 //apply forever for
> > > > busy-out
> > > > #define DS0_TRUNKCOND_RCV_CODE           0x00004
> > > > #define DS0_TRUNKCOND_RCV_NONE
> ~(DS0_TRUNKCOND_RCV_ONHOOK |
> > > > DS0_TRUNKCOND_RCV_OFFHOOK | DS0_TRUNKCOND_RCV_CODE)
> > > >
> > > > #define DS0_TRUNKCOND_XMT_ONHOOK      0x00008
> > > > #define DS0_TRUNKCOND_XMT_OFFHOOK    0x00010
> > > > #define DS0_TRUNKCOND_XMT_CODE           0x00020
> > > > #define DS0_TRUNKCOND_XMT_NONE
> ~(DS0_TRUNKCOND_XMT_ONHOOK |
> > > > DS0_TRUNKCOND_XMT_OFFHOOK | DS0_TRUNKCOND_XMT_CODE)
> > > >
> > > > #define DS0_TRUNKCOND_INIT                     0x80000
> > > >
> > > >
> > > > #define DSX1MAXDS0_TRUNKCOND              31
> > > > T1E1TC       ds0TrunkCond[DSX1MAXDS0_TRUNKCOND];
> > > >
> > > >
> > > > Regards,
> > > >      Dave
> >
> > --
> > David Fowler                                   email:
> > [email-masked]
> > Newbridge Networks Corporation                 voice: (613) 599-3600
> > ext.6559
> > 600 March Rd, Kanata, Ontario, Canada K2K 2E6  fax:   (613) 599-3619
> 
> 
> 
> --
> Roy Spitzer                             Telogy Networks
> Phone (301) 515-6531                    20250 Century Boulevard
> FAX:  (301) 515-7687                    Germantown, Maryland 20874
> email [email-masked]
> 
>